messages.sendWebViewData
Used by the user to relay data from an opened reply keyboard bot mini app to the bot that owns it.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Used by the user to relay data from an opened reply keyboard bot mini app to the bot that owns it.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.sendWebViewData" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "randomId": "string", "buttonText": "string", "data": "string" } }'{ "result": { "_": "updatesTooLong" }}sendVote
Vote in a `RawPoll` Starting from layer 159, the vote will be sent from the peer specified using `messages.RawSaveDefaultSendAsRequest`. Before voting, clients should check that the user is actually allowed to vote: voting is not possible if the poll is closed, if it is [subscriber-only »](https://core.telegram.org/api/poll#subscriber-only-polls) and the user is not an eligible subscriber, or if it is [country-restricted »](https://core.telegram.org/api/poll#country-restricted-polls) and the user's [phone_country_iso2 »](https://core.telegram.org/api/config#phone-country-iso2) is not in the poll's allowed country list. See [vote restrictions »](https://core.telegram.org/api/poll#vote-restrictions) for the full list of conditions.
sendWebViewResultMessage
Terminate webview interaction started with `messages.RawRequestWebViewRequest`, sending the specified message to the chat on behalf of the user.